#include <ansi_c.h>
//==============================================================================
//
// Title:       NorACFArrIO
// Purpose:     A short description of the library.
//
// Created on:  2008/6/24 at W 01:12:43 by Hsu-Yang Lee.
// Copyright:   NTU. All Rights Reserved.
//
//==============================================================================

//==============================================================================
// Include files

#include <utility.h>
#include "NorACFArrIO.h"

//==============================================================================
// Constants

//==============================================================================
// Types

//==============================================================================
// Static global variables

//==============================================================================
// Static functions

//==============================================================================
// Global variables

//==============================================================================
// Global functions

void __stdcall realACFnormArrIO(long *acfarr, double *nacfarr, long arrsize, unsigned __int64 acnt, unsigned __int64 tcnt)
{
	long i=0;
	double dblacnt=(double)acnt, dbltcnt=(double)tcnt;

	for(i=0;i<arrsize;i++) nacfarr[i]=acfarr[i]/pow(dblacnt,2)*pow(dbltcnt,2)/(dbltcnt-i)-1.0;
	return;
}

//==============================================================================
// DLL main entry-point functions

int __stdcall DllMain (HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)
{
    switch (fdwReason) {
        case DLL_PROCESS_ATTACH:
            if (InitCVIRTE (hinstDLL, 0, 0) == 0)
                return 0;     /* out of memory */
            break;
        case DLL_PROCESS_DETACH:
            CloseCVIRTE ();
            break;
    }
    
    return 1;
}

int __stdcall DllEntryPoint (HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)
{
    /* Included for compatibility with Borland */

    return DllMain (hinstDLL, fdwReason, lpvReserved);
}
