#include "stats.h"
#include <stdio.h>
#include <math.h>
struct Statistics{
	unsigned long cnts;
	unsigned long min;
	unsigned long max;
	unsigned long sum;
	long double sumsq;
	long double dsum;
} stats;
long setupStats(void){
	stats.cnts=0;
	stats.min=6200000;
	stats.max=0;
	stats.sum=0;
	stats.sumsq=0;
	stats.dsum=0;
	return(1);
}
int addpnt2Stats(long d){
	stats.cnts++;
	if(d > stats.max)stats.max=d;
	if(d < stats.min)stats.min=d;
	stats.sum+= d;
	stats.dsum+=d;
	stats.sumsq+= (double) d * (double) d;
	return(1);
}
unsigned long getStatsBin(void){return(stats.cnts);}
unsigned long getStatsMin(void){return(stats.min);}
unsigned long getStatsMax(void){return(stats.max);}
double getStatsSum(void){return( (double) stats.dsum);}
double getStatsAvg(void){return( (double) stats.dsum / (double) stats.cnts);}
double getStatsStd(void){
	return(sqrt( (stats.sumsq / (double)stats.cnts ) - (getStatsAvg() * getStatsAvg())));}
void writeStats(char *dataSetName){
	printf("writeStats(%d) %s: %lu pnts [%lu %.2f %lu]\n\tstd=%.2f dsum=%.2Le",
		VERSION_STATS,dataSetName,
		stats.cnts,stats.min,getStatsAvg(),stats.max,getStatsStd(),stats.dsum);
	if(stats.dsum>(stats.sum+10))printf(" (> unsigned int)\n");
	else printf("\n");
}

