   //==============================================================================
//
// Title:       ACFArrIO
// Purpose:     A short description of the interface.
//
// Created on:  2008/4/20 at U 04:39:10 by Hsu-Yang Lee.
// Copyright:   NTU. All Rights Reserved.
//
//==============================================================================

#ifndef __ACFArrIO_H__
#define __ACFArrIO_H__

#ifdef __cplusplus
    extern "C" {
#endif

//==============================================================================
// Include files

#include "cvidef.h"

//==============================================================================
// Constants

//==============================================================================
// Types

//==============================================================================
// External variables

//==============================================================================
// Global functions

extern double __stdcall calcRealACFdutyFactor(double m,long c);
extern long __stdcall calcRealACFmtau(long m, long c);
extern void __stdcall setupRealACFArrIO(long mtau, double dutyFactor, const double clock_ns);
extern void __stdcall realACFrawArrIO(long *acf, unsigned long tau);
extern void __stdcall realACFnormArrIO(long *acfarr, double *nacfarr);
extern void __stdcall freeRealACFArrIO(void);
extern double __stdcall  fitRealACFArrIO(long *acfarr, double *fitarr, double *fitcoefarr, long maxiter,long guess);
extern void __stdcall getACFcnt(unsigned __int64 *acntpt, unsigned __int64 *tcntpt);
extern void __stdcall resetrealACF(void);


#ifdef __cplusplus
    }
#endif

#endif  /* ndef __ACFArrIO_H__ */
