#include <ansi_c.h>
//==============================================================================
//
// Title:       histoArrIO
// Purpose:     A short description of the library.
//
// Created on:  2008/4/20 at U 10:27:13 by Hsu-Yang Lee.
// Copyright:   NTU. All Rights Reserved.
//
//==============================================================================

//==============================================================================
// Include files

#include <utility.h>
#include "histoArrIO.h"

//==============================================================================
// Constants
#define VERSION 20070818        

//==============================================================================
// Types

//==============================================================================
// Static global variables

//==============================================================================
// Static functions

//==============================================================================
// Global variables
long histoMax;
long lbound, ubound;
long binitv;

//==============================================================================
// Global functions

void __stdcall addpntArrIO(long *histoarr, unsigned long ipt)
{
	if(ipt>=lbound && ipt<=ubound)(histoarr[(long)floor(((double)(ipt-lbound))/binitv)])++;
}

void __stdcall setupHistoArrIO(long lb, long ub, long itv){
	lbound=lb;
	ubound=ub;
	binitv=itv;
	return;
}



//==============================================================================
// DLL main entry-point functions

int __stdcall DllMain (HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)
{
    switch (fdwReason) {
        case DLL_PROCESS_ATTACH:
            if (InitCVIRTE (hinstDLL, 0, 0) == 0)
                return 0;     /* out of memory */
            break;
        case DLL_PROCESS_DETACH:
            CloseCVIRTE ();
            break;
    }
    
    return 1;
}

int __stdcall DllEntryPoint (HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)
{
    /* Included for compatibility with Borland */

    return DllMain (hinstDLL, fdwReason, lpvReserved);
}
