   //==============================================================================
//
// Title:       histo
// Purpose:     A short description of the interface.
//
// Created on:  2008/3/31 at U 02:22:12 by Hsu-Yang Lee.
// Copyright:   NTU. All Rights Reserved.
//
//==============================================================================

#ifndef __histo_H__
#define __histo_H__

#ifdef __cplusplus
    extern "C" {
#endif

//==============================================================================
// Include files

#include "cvidef.h"

//==============================================================================
// Constants

//==============================================================================
// Types

//==============================================================================
// External variables

//==============================================================================
// Global functions

extern void __stdcall addpnt(long ipt);
extern void __stdcall addpntArrIO(long *histoarr, unsigned long ipt);
extern void __stdcall setupHisto(long lb, long ub, long itv);
extern void __stdcall getHistoCopy(long *histoArr);
extern void __stdcall writeHisto(char *fname);
extern void __stdcall clearHisto(void);
extern void __stdcall file2acf(char *cfn, char *dfn, long lb, long ub, long itv);


#ifdef __cplusplus
    }
#endif

#endif  /* ndef __histo_H__ */
