   //==============================================================================
//
// Title:       ipt2tt
// Purpose:     A short description of the interface.
//
// Created on:  2008/3/31 at U 03:04:57 by Hsu-Yang Lee.
// Copyright:   NTU. All Rights Reserved.
//
//==============================================================================

#ifndef __ipt2tt_H__
#define __ipt2tt_H__

#ifdef __cplusplus
    extern "C" {
#endif

//==============================================================================
// Include files

#include "cvidef.h"
		
#define VERSION_IPT2TT 20070817
#define TTBIN_NOT_FULL -32000
#define FAILURE 0
//==============================================================================
// Constants

//==============================================================================
// Types

//==============================================================================
// External variables

//==============================================================================
// Global functions

extern long __stdcall calcIpt2tt(long binWidth_ns,long clockPeriod_ns);
extern long __stdcall setupIpt2tt(long binWidth);
extern long __stdcall ipt2tt(unsigned long tau, long* emptybins);
extern long __stdcall getIpt2ttEmptyBins(void);

	
#ifdef __cplusplus
    }
#endif

#endif  /* ndef __ipt2tt_H__ */
