@ECHO OFF
REM offline processing of a raw ipt data file. COMPILE and LINK
REM to view plots require wgnuplot.exe in this directory
del *.csv
@ECHO Compiling and linking test data generation routine...
gcc -c -ansi -Wall -pedantic ran.c
gcc -c -ansi -Wall -pedantic tstset.c
gcc -o tstset.exe tstset.o 
del tstset.o 
@ECHO Compiling main program...
gcc -c -ansi -Wall -pedantic acf.c
gcc -c -ansi -Wall -pedantic offline.c
gcc -c -ansi -Wall -pedantic ipt2tt.c
gcc -c -ansi -Wall -pedantic ipt_in.c
gcc -c -ansi -Wall -pedantic stats.c
gcc -c -ansi -Wall -pedantic histo.c
@ECHO Linking... 
gcc -o offline.exe offline.o acf.o ipt2tt.o ipt_in.o stats.o histo.o
@ECHO Cleaning up...
del offline.o acf.o ipt2tt.o ipt_in.o stats.o histo.o 
@ECHO All files Compiled + linked.
@ECHO TYPE 'r' to run demonstrations of the functions.

