#include <stdio.h>
#include <stdlib.h>
#define VERSION 20070818
unsigned long *histo;
unsigned long histoMax;
void setupHisto(unsigned long max){
	histoMax=max;
	histo = (unsigned long *) calloc(max+2,sizeof(long));
	if(histo==NULL)goto error;
	return;
error:
	fprintf(stderr,"setupHisto: ERROR Memory allocation failed\n");
	return;
}

void addpnt2Histo(unsigned long d){
	if(d>histoMax)goto error;
	histo[d]++;
	return;
error:
  fprintf(stderr,"addpnt2Histo: WARNING data %lu > histoMax(%lu)\n",
		d,histoMax);
	return;
}

unsigned long * getHisto(void){return(histo);}
	
void writeHisto(char *fname){
	long i;
	FILE *fout=fopen(fname,"w");
	if(fout==NULL)goto error;
	for(i=0;i<=histoMax+1;i++)fprintf(fout,"%lu\n",histo[i]);
	fclose(fout);
	return;
error:
	fprintf(stderr,"writeHisto: ERROR Unable to open output file '%s'\n",fname);
	return;
}

void clearHisto(void){free(histo);}

